<?php

namespace PixelBlogExporter\Subscriber\Backend;

use Enlight\Event\SubscriberInterface;

class PixelBlogExporter implements SubscriberInterface {
	
	private $container;
	private $pluginName;
	private $pluginDirectory;
    private $templateManager;
	
	public function __construct($pluginName, $pluginDirectory, \Enlight_Template_Manager $templateManager) {
        $this->container = Shopware()->Container();
		$this->pluginName = $pluginName;
		$this->pluginDirectory = $pluginDirectory;
        $this->templateManager = $templateManager;
    }
	
	public static function getSubscribedEvents() {
        return [
			'Enlight_Controller_Dispatcher_ControllerPath_Backend_PixelBlogExporter' => 'onGetBackendControllerPath'
        ];
    }
	
	public function onGetBackendControllerPath() {
		
        $this->templateManager->addTemplateDir($this->pluginDirectory . '/Resources/views');

        return $this->pluginDirectory . '/Controllers/Backend/PixelBlogExporter.php';
    }
	

}